## libhs 0.1.3

=== Makefile ===
CC=gcc
CFLAGS=-Wall -O2 -Werror -fPIC

all: libhs.a example libhs.so.0.1

libhs.so.0.1: libhs.o
	$(CC) $(CFLAGS) -shared -o $@ $<
	ln -s libhs.so.0.1 libhs.so.0
	ln -s libhs.so.0 libhs.so

libhs.a: libhs.o
	ar rcs $@ $^

libhs.o: libhs.c libhs.h
	$(CC) $(CFLAGS) -c $<

example: example.o libhs.a libhs.so.0.1
	$(CC) $(LDFLAGS) -L. -lhs -o example example.o

example.o: libhs.c libhs.h example.c

clean:
	rm -f libhs.o libhs.a example.o example libhs.so*

install:
	install -d $(DESTDIR)/usr/lib
	install -d $(DESTDIR)/usr/include
	install libhs.a $(DESTDIR)/usr/lib
	install libhs.so.0.1 $(DESTDIR)/usr/lib
	ln -s libhs.so.0.1 $(DESTDIR)/usr/lib/libhs.so.0
	ln -s libhs.so.0.1 $(DESTDIR)/usr/lib/libhs.so
	install -m 0644 libhs.h $(DESTDIR)/usr/include
	install -d $(DESTDIR)/var/games/libhs
	chown root.games $(DESTDIR)/var/games/libhs
	chmod 0664 $(DESTDIR)/var/games/libhs

=== debian/changelog ===
libhs (0.1.3) unstable; urgency=low

  * minor description fix (closes: Bug#123981, Bug#124982)

 -- RISKO Gergely <risko@debian.org>  Tue, 18 Dec 2001 16:42:23 +0100

libhs (0.1.2) unstable; urgency=low

  * string.h added to the example (needed by gcc 3.0) (closes: Bug#104651)

 -- RISKO Gergely <risko@debian.org>  Sat, 14 Jul 2001 20:13:37 +0200

libhs (0.1.1) unstable; urgency=low

  * the silly risko@gegehost.ris maintainer address is changed

 -- RISKO Gergely <risko@debian.org>  Fri, 13 Apr 2001 22:24:23 +0200

libhs (0.1) unstable; urgency=low

  * Initial Release.

 -- RISKO Gergely <risko@debian.org>  Fri,  6 Apr 2001 18:15:22 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libhs
Section: devel
Priority: optional
Maintainer: RISKO Gergely <risko@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: libhs-dev
Architecture: any
Depends: libhs (= ${Source-Version}), libc6-dev
Description: The HighScore Library (development files)
 The HighScore Library is a small library to make the programming
 of high score tables easier. Its features:
   * you can give default data for the case if no previous highscores
   * you can simple insert to a table with use of a comparison function
   * you can store any data with the score itself
   * FILE LOCKING
   * more difficulty level for the same program
 .
 Now this library is used by bombardier (0.7.3) or above

Package: libhs
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: The HighScore Library (run-time library)
 The HighScore Library is a small library to make the programming
 of high score tables easier. Its features:
   * you can give default data for the case if no previous highscores
   * you can simple insert to a table with use of a comparison function
   * you can store any data with the score itself
   * FILE LOCKING
   * more difficulty level for the same program
 .
 Now this library is used by bombardier (0.7.3) or above

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified for libhs, GNU copyright RISKO Gergely.

export DH_COMPAT=3

version=0.1
major=0

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs
	dh_installexamples example.c
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
